All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Class MdConnectionEvent

    com.sas.metadata.remote.MdConnectionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MdConnectionEvent

The event class used for signalling clients when a connection to the metadata server has been lost.

Since:
  9.4
See Also:
  Serialized Form

Constructor Summary
`MdConnectionEvent(java.lang.Object source, MdFactory factory, java.lang.Exception e)`

Method Summary
`MdFactory` | `getFactory()` Returns the factory for this event
`int` | `getMaximumRetryCount()`
`java.lang.Exception` | `getOriginalException()` Returns the original exception associated to the lost connection.
`void` | `setMaxiumRetryCount(int count)` Sets the maximum number of times a retry should be attempted.

Constructor Detail

### MdConnectionEvent

    public MdConnectionEvent(java.lang.Object source,
                             MdFactory factory,
                             java.lang.Exception e)

Parameters:
  `source` -
  `e` -
  `m_factory` -

Method Detail

### getFactory

    public MdFactory getFactory()

  Returns the factory for this event

  Returns:
    MdFactory

### getOriginalException

    public java.lang.Exception getOriginalException()

  Returns the original exception associated to the lost connection.

  Returns:
    exception

### getMaximumRetryCount

    public int getMaximumRetryCount()

### setMaxiumRetryCount

    public void setMaxiumRetryCount(int count)

  Sets the maximum number of times a retry should be attempted. The default setting is a total of 3 retries. However, this value may be overridden if necessary.

  Parameters:
    `count` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.